from cdnmon.model.cdn import BGPViewCIDR
from cdnmon.model.cdn import CNAMEPattern
from cdnmon.model.cdn import CommonCDN

CDN = CommonCDN(
    name="huawei",
    asn_patterns=["huawei", "futurewei"],
    cname_suffixes=[
        CNAMEPattern(suffix=".cdnhwc1.cn"),
        CNAMEPattern(suffix=".cdnhwc1.com"),
        CNAMEPattern(suffix=".cdnhwc2.cn"),
        CNAMEPattern(suffix=".cdnhwc2.com"),
        CNAMEPattern(suffix=".cdnhwc22.com"),
        CNAMEPattern(suffix=".cdnhwc3.cn"),
        CNAMEPattern(suffix=".cdnhwc3.com"),
        CNAMEPattern(suffix=".cdnhwc4.cn"),
        CNAMEPattern(suffix=".cdnhwc4.com"),
        CNAMEPattern(suffix=".cdnhwc5.cn"),
        CNAMEPattern(suffix=".cdnhwc5.com"),
        CNAMEPattern(suffix=".cdnhwc6.cn"),
        CNAMEPattern(suffix=".cdnhwc6.com"),
        CNAMEPattern(suffix=".cdnhwc7.cn"),
        CNAMEPattern(suffix=".cdnhwc7.com"),
        CNAMEPattern(suffix=".cdnhwc8.cn"),
        CNAMEPattern(suffix=".cdnhwc8.com"),
        CNAMEPattern(suffix=".cdnhwc9.cn"),
        CNAMEPattern(suffix=".cdnhwc9.com"),
        CNAMEPattern(suffix=".cdnhwc10.cn"),
        CNAMEPattern(suffix=".cdnhwc10.com"),
        CNAMEPattern(suffix=".cdnhwcaip122.cn"),
        CNAMEPattern(suffix=".cdnhwcajk17.com"),
        CNAMEPattern(suffix=".cdnhwcaoc115.cn"),
        CNAMEPattern(suffix=".cdnhwcatq08.com"),
        CNAMEPattern(suffix=".cdnhwcbie120.cn"),
        CNAMEPattern(suffix=".cdnhwcbni108.com"),
        CNAMEPattern(suffix=".cdnhwcbqs106.com"),
        CNAMEPattern(suffix=".cdnhwcbvo20.cn"),
        CNAMEPattern(suffix=".cdnhwcbzj102.com"),
        CNAMEPattern(suffix=".cdnhwcchh18.com"),
        CNAMEPattern(suffix=".cdnhwccmz121.com"),
        CNAMEPattern(suffix=".cdnhwccvo19.cn"),
        CNAMEPattern(suffix=".cdnhwcdkd21.cn"),
        CNAMEPattern(suffix=".cdnhwcdvg22.cn"),
        CNAMEPattern(suffix=".cdnhwcead111.com"),
        CNAMEPattern(suffix=".cdnhwcedi10.com"),
        CNAMEPattern(suffix=".cdnhwcedt124.com"),
        CNAMEPattern(suffix=".cdnhwceft18.cn"),
        CNAMEPattern(suffix=".cdnhwceod109.cn"),
        CNAMEPattern(suffix=".cdnhwcfzp15.cn"),
        CNAMEPattern(suffix=".cdnhwcggk22.com"),
        CNAMEPattern(suffix=".cdnhwcgnc118.com"),
        CNAMEPattern(suffix=".cdnhwcgqa21.com"),
        CNAMEPattern(suffix=".cdnhwcgqs21.com"),
        CNAMEPattern(suffix=".cdnhwcgrb01.cn"),
        CNAMEPattern(suffix=".cdnhwcgvs16.cn"),
        CNAMEPattern(suffix=".cdnhwchcg02.com"),
        CNAMEPattern(suffix=".cdnhwcibv122.com"),
        CNAMEPattern(suffix=".cdnhwcick110.com"),
        CNAMEPattern(suffix=".cdnhwcidu117.cn"),
        CNAMEPattern(suffix=".cdnhwcjbj05.cn"),
        CNAMEPattern(suffix=".cdnhwcjkl10.cn"),
        CNAMEPattern(suffix=".cdnhwcjlg112.com"),
        CNAMEPattern(suffix=".cdnhwcjog12.com"),
        CNAMEPattern(suffix=".cdnhwcjqv17.cn"),
        CNAMEPattern(suffix=".cdnhwcjsb120.com"),
        CNAMEPattern(suffix=".cdnhwckbw08.cn"),
        CNAMEPattern(suffix=".cdnhwckfd24.cn"),
        CNAMEPattern(suffix=".cdnhwckfz116.com"),
        CNAMEPattern(suffix=".cdnhwckon103.com"),
        CNAMEPattern(suffix=".cdnhwcljk104.com"),
        CNAMEPattern(suffix=".cdnhwclkl04.cn"),
        CNAMEPattern(suffix=".cdnhwcllh11.com"),
        CNAMEPattern(suffix=".cdnhwclnh23.cn"),
        CNAMEPattern(suffix=".cdnhwclrd102.cn"),
        CNAMEPattern(suffix=".cdnhwclsl119.cn"),
        CNAMEPattern(suffix=".cdnhwclxu105.com"),
        CNAMEPattern(suffix=".cdnhwclxw05.com"),
        CNAMEPattern(suffix=".cdnhwcoem01.com"),
        CNAMEPattern(suffix=".cdnhwcofl101.cn"),
        CNAMEPattern(suffix=".cdnhwcogx108.cn"),
        CNAMEPattern(suffix=".cdnhwcohm19.com"),
        CNAMEPattern(suffix=".cdnhwcojn124.cn"),
        CNAMEPattern(suffix=".cdnhwconz06.cn"),
        CNAMEPattern(suffix=".cdnhwcoph123.com"),
        CNAMEPattern(suffix=".cdnhwcozb112.cn"),
        CNAMEPattern(suffix=".cdnhwcpcw110.cn"),
        CNAMEPattern(suffix=".cdnhwcpqh13.cn"),
        CNAMEPattern(suffix=".cdnhwcprh113.com"),
        CNAMEPattern(suffix=".cdnhwcpsd13.com"),
        CNAMEPattern(suffix=".cdnhwcqgw115.com"),
        CNAMEPattern(suffix=".cdnhwcqir15.com"),
        CNAMEPattern(suffix=".cdnhwcqrr114.cn"),
        CNAMEPattern(suffix=".cdnhwcqve117.com"),
        CNAMEPattern(suffix=".cdnhwcqvk105.cn"),
        CNAMEPattern(suffix=".cdnhwcqwg14.com"),
        CNAMEPattern(suffix=".cdnhwcrgg07.cn"),
        CNAMEPattern(suffix=".cdnhwcrpp12.cn"),
        CNAMEPattern(suffix=".cdnhwcscc123.cn"),
        CNAMEPattern(suffix=".cdnhwcsjs09.cn"),
        CNAMEPattern(suffix=".cdnhwcsux118.cn"),
        CNAMEPattern(suffix=".cdnhwctmz11.cn"),
        CNAMEPattern(suffix=".cdnhwctnm107.com"),
        CNAMEPattern(suffix=".cdnhwctxz24.com"),
        CNAMEPattern(suffix=".cdnhwctyd116.cn"),
        CNAMEPattern(suffix=".cdnhwcuim119.com"),
        CNAMEPattern(suffix=".cdnhwcupf06.com"),
        CNAMEPattern(suffix=".cdnhwcurq03.com"),
        CNAMEPattern(suffix=".cdnhwcurr103.cn"),
        CNAMEPattern(suffix=".cdnhwcuwd107.cn"),
        CNAMEPattern(suffix=".cdnhwcuxc121.cn"),
        CNAMEPattern(suffix=".cdnhwcvix16.com"),
        CNAMEPattern(suffix=".cdnhwcwqz113.cn"),
        CNAMEPattern(suffix=".cdnhwcxcy07.com"),
        CNAMEPattern(suffix=".cdnhwcxsi14.cn"),
        CNAMEPattern(suffix=".cdnhwcywp03.cn"),
        CNAMEPattern(suffix=".cdnhwcyxb02.cn"),
        CNAMEPattern(suffix=".cdnhwczba04.com"),
        CNAMEPattern(suffix=".cdnhwczic111.cn"),
        CNAMEPattern(suffix=".cdnhwczid104.cn"),
        CNAMEPattern(suffix=".cdnhwczjt20.com"),
        CNAMEPattern(suffix=".cdnhwczks109.com"),
        CNAMEPattern(suffix=".cdnhwczmn114.com"),
        CNAMEPattern(suffix=".cdnhwczoy106.cn"),
        CNAMEPattern(suffix=".cdnhwczth23.com"),
        CNAMEPattern(suffix=".cdnhwcztu09.com"),
        CNAMEPattern(suffix=".cdnhwczxh101.com"),
    ],
    cidr=BGPViewCIDR(["huawei", "futurewei"]),
)
